// you can edit this file

#include "llvm/Target/TargetInstrInfo.h"

#include "CodasipISelLowering.h"

using namespace llvm;

CodasipTargetLowering::CodasipTargetLowering(CodasipTargetMachine &TM): CodasipGenTargetLowering(TM)
{}


MachineBasicBlock* CodasipTargetLowering::EmitInstrWithCustomInserter(MachineInstr *MI, MachineBasicBlock *BB) const
{
  //const TargetInstrInfo *TII = getTargetMachine().getInstrInfo();
  DebugLoc dl = MI->getDebugLoc();
  switch (MI->getOpcode())
  {
    default:
      return CodasipGenTargetLowering::EmitInstrWithCustomInserter(MI,BB);
  }
}

